﻿using System;
using System.Collections.Generic;

using SBRL.Algorithms.MorseCodeTranslator;

namespace MorseCodeParser
{
    class MainClass
    {
        public static void Main(string[] args)
        {
            AudioMorseDecoder decoder = new AudioMorseDecoder(args[0]);
            List<string> morseWords = decoder.ExtractWords(true);
            Console.WriteLine("Decoded morse code:");
            Console.WriteLine(string.Join("\n", morseWords));
            Console.WriteLine("Deciphered text: {0}", MorseDecoder.TranslateText(morseWords));
        }
    }
}
